#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'nfsdialoggui.ui'
**
** Created: 2013-08-05T18:33:30
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "nfsdialoggui.h"

#include <qvariant.h>
#include <qgroupbox.h>
#include <qpushbutton.h>
#include <qheader.h>
#include <klistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "nfsdialoggui.ui.h"

/*
 *  Constructs a NFSDialogGUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
NFSDialogGUI::NFSDialogGUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "NFSDialogGUI" );
    NFSDialogGUILayout = new QVBoxLayout( this, 0, 6, "NFSDialogGUILayout"); 

    groupBox = new QGroupBox( this, "groupBox" );
    groupBox->setEnabled( TRUE );
    groupBox->setColumnLayout(0, Qt::Vertical );
    groupBox->layout()->setSpacing( 6 );
    groupBox->layout()->setMargin( 11 );
    groupBoxLayout = new QGridLayout( groupBox->layout() );
    groupBoxLayout->setAlignment( Qt::AlignTop );

    addHostBtn = new QPushButton( groupBox, "addHostBtn" );

    groupBoxLayout->addWidget( addHostBtn, 0, 1 );

    modifyHostBtn = new QPushButton( groupBox, "modifyHostBtn" );
    modifyHostBtn->setEnabled( FALSE );

    groupBoxLayout->addWidget( modifyHostBtn, 1, 1 );

    removeHostBtn = new QPushButton( groupBox, "removeHostBtn" );
    removeHostBtn->setEnabled( FALSE );

    groupBoxLayout->addWidget( removeHostBtn, 2, 1 );
    spacer3 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    groupBoxLayout->addItem( spacer3, 3, 1 );

    listView = new KListView( groupBox, "listView" );
    listView->addColumn( tr2i18n( "Name/Address" ) );
    listView->addColumn( tr2i18n( "Parameters" ) );
    listView->setProperty( "selectionMode", "Extended" );
    listView->setFullWidth( TRUE );

    groupBoxLayout->addMultiCellWidget( listView, 0, 3, 0, 0 );
    NFSDialogGUILayout->addWidget( groupBox );
    languageChange();
    resize( QSize(466, 338).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( listView, SIGNAL( selectionChanged() ), this, SLOT( listView_selectionChanged() ) );

    // tab order
    setTabOrder( addHostBtn, modifyHostBtn );
    setTabOrder( modifyHostBtn, removeHostBtn );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NFSDialogGUI::~NFSDialogGUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NFSDialogGUI::languageChange()
{
    groupBox->setTitle( tr2i18n( "Allowed &Hosts" ) );
    QToolTip::add( groupBox, tr2i18n( "A list of allowed hosts" ) );
    QWhatsThis::add( groupBox, tr2i18n( "Here you can see a list of hosts which are allowed to access this directory via NFS.\n"
"The first column shows the name or address of the host, the second column shows the access parameters. The name '*' donates public access." ) );
    addHostBtn->setText( tr2i18n( "&Add Host..." ) );
    modifyHostBtn->setText( tr2i18n( "Mo&dify Host..." ) );
    removeHostBtn->setText( tr2i18n( "&Remove Host" ) );
    listView->header()->setLabel( 0, tr2i18n( "Name/Address" ) );
    listView->header()->setLabel( 1, tr2i18n( "Parameters" ) );
}

/****************************************************************************
** NFSDialogGUI meta object code from reading C++ file 'nfsdialoggui.h'
**
** Created: Mon Aug 5 18:33:30 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "nfsdialoggui.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *NFSDialogGUI::className() const
{
    return "NFSDialogGUI";
}

QMetaObject *NFSDialogGUI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_NFSDialogGUI( "NFSDialogGUI", &NFSDialogGUI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString NFSDialogGUI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "NFSDialogGUI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString NFSDialogGUI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "NFSDialogGUI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* NFSDialogGUI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"listView_selectionChanged", 0, 0 };
    static const QUMethod slot_1 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "listView_selectionChanged()", &slot_0, QMetaData::Public },
	{ "languageChange()", &slot_1, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"NFSDialogGUI", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_NFSDialogGUI.setMetaObject( metaObj );
    return metaObj;
}

void* NFSDialogGUI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "NFSDialogGUI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool NFSDialogGUI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: listView_selectionChanged(); break;
    case 1: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool NFSDialogGUI::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool NFSDialogGUI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool NFSDialogGUI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
